summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2002-11-26 23:18:35 +0000
committerGerald Carter <jerry@samba.org>2002-11-26 23:18:35 +0000
commit72948b91a01e8da944ee12d46f5e757b51b64c8e (patch)
tree8e25dc038fe76cbef9e6fea6cfc21fea00989265 /source3/script
parentaf874b62e1800c0e2cf945f854316a7462bd4e4f (diff)
downloadsamba-72948b91a01e8da944ee12d46f5e757b51b64c8e.tar.gz
samba-72948b91a01e8da944ee12d46f5e757b51b64c8e.tar.bz2
samba-72948b91a01e8da944ee12d46f5e757b51b64c8e.zip
* fixing RedHat spec file for 3.0
* updating Makefile & configure script to use CONFIGDIR & VFSLIBDIR * set LIBDIR to ${prefix}/lib/samba when --with-fhs is enabled * make installdirs take an arbitrary number of arguements (This used to be commit f0d09cf676bc335e8fde9fe730730f2949411a54)
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/installdirs.sh25
1 files changed, 11 insertions, 14 deletions
diff --git a/source3/script/installdirs.sh b/source3/script/installdirs.sh
index dd8f7cd19c..9557b86d3b 100755
--- a/source3/script/installdirs.sh
+++ b/source3/script/installdirs.sh
@@ -1,20 +1,17 @@
#!/bin/sh
-BASEDIR=$1
-SBINDIR=$2
-BINDIR=$3
-LIBDIR=$4
-VARDIR=$5
-PRIVATEDIR=$6
+while ( test -n "$1" ); do
+ if [ ! -d $1 ]; then
+ mkdir -p $1
+ fi
-for d in $BASEDIR $SBINDIR $BINDIR $LIBDIR $VARDIR $PRIVATEDIR; do
-if [ ! -d $d ]; then
-mkdir $d
-if [ ! -d $d ]; then
- echo Failed to make directory $d
- exit 1
-fi
-fi
+ if [ ! -d $1 ]; then
+ echo Failed to make directory $1
+ exit 1
+ fi
+
+ shift;
done
+